# orientdb_server

This package is a simple-minded attempt at a Dart wrapper for OrientDB's REST/Json interface

## Usage

A simple usage example:

    import 'package:orientdb_server/orientdb_server.dart';

    Future<String> list(req, Model model) async {
      var urlParts = new OrientDB_UrlParts("root", "pswd", "localhost", 2480);
      Map params = await req.getPostParams();
      model.addAttribute('db_name', params['db_name']);
      
        urlParts.createDatabase(params['db_name']).then((bool good) {
            if (good) {
              model.addAttribute('dbstatus', 'good');
            } else {
              model.addAttribute('dbstatus', good.toString());
            }
        });
      
      var list = await urlParts.databaseList();
      model.addAttribute('db_list', list);
      completer.complete("list");
      return completer.future;
    }

## Features and bugs

Current features

+  Get a list of databases
+  Create a database
+  Delete a database (untested)


Please file feature requests and bugs at the [issue tracker][tracker].

[tracker]: http://example.com/issues/replaceme
